Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.mail
Class FolderNavigation

    java.lang.Object
      portlets.compoze.groupware.mail.FolderNavigation

All Implemented Interfaces:
  java.io.Serializable

public class FolderNavigation
extends java.lang.Object
implements java.io.Serializable

This class represents folder navigation.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `FolderNavigation.FolderNode` This class represents a folder node in the navigation.
`static class` | `FolderNavigation.FolderNodeComparator` This class represents the folder node comparator for sorting folder nodes.

Constructor Summary
`FolderNavigation(java.lang.String sSelectedFolderID, java.lang.String[] expandFolderIDs)` Constructor.

Method Summary
`void` | `addFolderNode(java.lang.String sID, java.lang.String sName, int iDepth, boolean bHasSubFolders, boolean bIsRoot, int iCount, int iUnreadCount, int iType, boolean bIsModifiable, boolean bSupportSubFolders)` Adds a folder node.
`void` | `addFolderNode(java.lang.String sID, java.lang.String sName, int iDepth, boolean bHasSubFolders, boolean bIsRoot, int iCount, int iUnreadCount, int iType, boolean bIsModifiable, boolean bSupportSubFolders, java.lang.String sParentID)` Adds a folder node.
`static java.lang.String[]` | `adjustExpandFolderIDs(java.lang.String openFolderID, java.lang.String closeFolderID, java.lang.String expandFolderIDs)` Adjusts the expand folder IDs.
`static java.lang.String` | `formatExpandFolderIDs(java.lang.String[] expandFolderIDs)` Formats the expand folder IDs.
`java.lang.String[]` | `getExpandFolderIDs()` Gets the list of expanded folder IDs.
`java.util.List` | `getNodes()` Gets the nodes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FolderNavigation

    public FolderNavigation(java.lang.String sSelectedFolderID,
                            java.lang.String[] expandFolderIDs)

  Constructor.

Parameters:
  `sSelectedFolderID` - the selected folder ID (may not be `null`)
  `expandFolderIDs` - an array of folder IDs to expand (may not be `null`)

Method Detail

### formatExpandFolderIDs

    public static java.lang.String formatExpandFolderIDs(java.lang.String[] expandFolderIDs)

  Formats the expand folder IDs.

  Parameters:
    `expandFolderIDs` - an array of folder IDs to expand
  Returns:
    a comma separated list of folder IDs to expand

### adjustExpandFolderIDs

    public static java.lang.String[] adjustExpandFolderIDs(java.lang.String openFolderID,
                                                           java.lang.String closeFolderID,
                                                           java.lang.String expandFolderIDs)

  Adjusts the expand folder IDs.

  Parameters:
    `openFolderID` - the folder ID to add to the expand array (`null` or empty to ignore)
    `closeFolderID` - the folder ID to remove from the expand array (`null` or empty to ignore)
    `expandFolderIDs` - a comma separated list of folder IDs to expand (may not be `null`)
  Returns:
    an array of folder IDs to expand or an empty array

### addFolderNode

    public void addFolderNode(java.lang.String sID,
                              java.lang.String sName,
                              int iDepth,
                              boolean bHasSubFolders,
                              boolean bIsRoot,
                              int iCount,
                              int iUnreadCount,
                              int iType,
                              boolean bIsModifiable,
                              boolean bSupportSubFolders)

  Adds a folder node.

  Parameters:
    `sID` - the folder ID
    `sName` - the folder name
    `iDepth` - the depth of the folder
    `bHasSubFolders` - `true` if the folder has sub folders; `false` otherwise
    `bIsRoot` - `true` if the folder is root; `false` otherwise
    `iCount` - the message count
    `iUnreadCount` - the unread message count
    `iType` - the type
    `bIsModifiable` - `true` if the folder is modifiable; `false` otherwise
    `bSupportSubFolders` - `true` if the folder supports sub-folders; `false` otherwise

### addFolderNode

    public void addFolderNode(java.lang.String sID,
                              java.lang.String sName,
                              int iDepth,
                              boolean bHasSubFolders,
                              boolean bIsRoot,
                              int iCount,
                              int iUnreadCount,
                              int iType,
                              boolean bIsModifiable,
                              boolean bSupportSubFolders,
                              java.lang.String sParentID)

  Adds a folder node.

  Parameters:
    `sID` - the folder ID
    `sName` - the folder name
    `iDepth` - the depth of the folder
    `bHasSubFolders` - `true` if the folder has sub folders; `false` otherwise
    `bIsRoot` - `true` if the folder is root; `false` otherwise
    `iCount` - the message count
    `iUnreadCount` - the unread message count
    `iType` - the type
    `bIsModifiable` - `true` if the folder is modifiable; `false` otherwise
    `bSupportSubFolders` - `true` if the folder supports sub-folders; `false` otherwise
    `sParentID` - the folder parent ID

### getNodes

    public java.util.List getNodes()

  Gets the nodes.

  Returns:
    a list of `FolderNavigation.FolderNode` objects (unmodifiable)

### getExpandFolderIDs

    public java.lang.String[] getExpandFolderIDs()

  Gets the list of expanded folder IDs.

  Returns:
    an array of folder IDs or an empty array for none

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.